# Connect Soda to Denodo

> For Soda to run quality scans on your data, you must configure it to connect to your data source.\
> To learn how to set up Soda and configure it to connect to your data sources, see [Get started](/soda-documentation/soda-v3/quick-start-sip/setup-guide.md).

## Connection configuration reference

Install package: `soda-denodo`

```yaml
data_source my_datasource_name:
  type: denodo
  username: simple
  password: simple_pass
  host: 127.0.0.1
  port: 5432 
  sslmode: prefer
```

| Property            | Required | Notes                                                                                                                                                                                            |
| ------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| type                | required | Identify the type of data source for Soda.                                                                                                                                                       |
| username            | required | Consider using system variables to retrieve this value securely.                                                                                                                                 |
| password            | required | Consider using system variables to retrieve this value securely.                                                                                                                                 |
| host                | required | Provide a host identifier.                                                                                                                                                                       |
| port                | optional | Provide a port identifier.                                                                                                                                                                       |
| database            | optional | Provide a virtual database (VDB) name.                                                                                                                                                           |
| connection\_timeout | optional | Provide an integer value to represent seconds.                                                                                                                                                   |
| sslmode             | optional | <p>Provide a value to indicate the type of SSL support:<br><code>prefer</code><br><code>require</code><br><code>allow</code><br><code>diable</code><br>Default value is <code>prefer</code>.</p> |

## Supported data types

| Category | Data type                                                                                                                 |
| -------- | ------------------------------------------------------------------------------------------------------------------------- |
| text     | CHARACTER VARYING, CHARACTER, CHAR, TEXT                                                                                  |
| number   | SMALLINT, INTEGER, BIGINT, DECIMAL, NUMERIC, VARIABLE, REAL, DOUBLE PRECISION, SMALLSERIAL, SERIAL, BIGSERIAL             |
| time     | TIMESTAMP, DATE, TIME, TIMESTAMP WITH TIME ZONE, TIMESTAMP WITHOUT TIME ZONE, TIME WITH TIME ZONE, TIME WITHOUT TIME ZONE |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soda.io/soda-documentation/soda-v3/data-source-reference/connect-denodo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
